Here is a short overview whats new in GIMP-GAP-2.7.0:
-----------------------------------------------------
(compared to gimp-gap release 2.6.0)

- New Plug-Ins added:

  - plug-ins to render animated Water and Fire effects.

  - New colormask plug-in added
    The colormask filter can apply transparency for pixels matching the colormask image.
    intended for processing frames where moving objects can be isolated
    from the non-moving constant background by applying the constant background
    as colormask on all frames.
    the colormask feature is also available as new mask anchor mode 
    when processing stroyboard clips.
    (anchor modes are: ClipColormask, Clip, Master)

  - Foreground Extraction based on the alpha matting algorithm.
    This plug-in uses a tri-map provided by the user
    where pixels are marked as FORGROUND, BACKGROUND or UNDEFINED
    and renders transpareny and color for all UNDEFINED pixels.
    

  - support to run gimp_color_balance tool as animated filter 
    (added wrapper plug-in).

  - new plug-in to apply the MovePath functionality 
    (transitions and move object along path)
    in a "process one frame per call" style, intended to be called as filter
    with the modify frames feature.

  - new plug-in to fill selected (small) areas by blending surrounding
    colors to cover pixel errors. Intended to fix images and videos
    shot with a camera that has some defect sensor pixels or dirty lens.

  - new plug-in for tracking a significant detail in frames.
    This plug-in is integrated in the Playback and can
    record movents of the detail as XML parameters for the MovePath feature.
    The recorded movements are useful to compensate unwanted shaking
    of videos recorder without a stativ.
 
- GIMP-GAP now supports speed control of movements and other transitions
  via Acceleration characteristic presets. Those presets are available
  - in the MovePath tool
  - in Storyboard transitions
    and Storyboard filtemacro pair calls when applied with varying values.
  - in animated filter calls with varying values.
    relevant in Filter All Layers
    and Modify Frames feature when applying a filter
    
    Th GAP dbbrowser now supports acceleration characteristic graph and spinbutton
    (that replaces the "Apply Varying" button of older GIMP_GAP releases)


- The Storyboard now supports rotatation of the processed clips by any angle
  and more complex transistions similar to the move path feature
  (based on settings saved with the Movepath dialog as xml parameter file)

- A new storyboard processing feature allows adding external transparency 
  for clip type movie. This is done via format string that refers to
  the external frames (typical gray image frames)
  the format string has placeholder %s (replaced by basename of the video)
  and %06d (replaced by the currently processed frame number)
  
  The format string can be specified in the storyboard master properties dialog

- Added features to the Morph plug-in to support
  more convenient creation of workpoints and lead to better
  results (especially for morping tweens of a video)
  
  new plug-in "Video/Morph/Morph Workpoint Generator" 
        Generates workpointfiles for each frame in the specified frame range.

  new feature for the morph plug-in "Video/Morph/Create Tween Frames"
   that creates a directory with (renumbered) copies of the processed frames
   and additionally generated tween frames that are rendered via fade or morphing.
   individual workpointfiles per processed frame are located via
   name convention (extension .morphpoints) and used for morphing when they exist.
   (such files can be created with the help of the plug-in "Morph Workpoint Generator").


- updated gimp-gap video API and ffmpeg-based video encoder
  to support the libraries provided with the ffmpeg-0.7.11 release
  This includes various bugfixes related to video de/encode 
  (but breaks backwards compatibility when seeking positions by frame number
  in videofiles that do not start with a keyframe).
  
  .. see ChangeLog for details,

- added preset for HD video encoding with H264 codec.
  (GIMP-GAP must be built with libx264 to use that preset)

- better performance for ffmpeg based video encoder
  on single and multiprocessor machines.

  
- Major Bugfixes

  - fixed a bug in the GAP ffmpeg video encoder that resulted in lower quality
     of the encoded video.
    (disabled buggy pre conversion to yuv420P colormodel for the ffmpeg encoder.
     now feeding RGB to the codec or convert with functions of the encoding engine)

  - fixed video encoder crash on 64bit Systems.

  - bugfixes in the storyboard processing now use less memory resources
    and produces smoother movent.
    (the old code did run out of memory when processing multiple HD videoclips)

    (See ChangeLog for details on further bugfixes)


Here is a short overview whats new in GIMP-GAP-2.6.0:
-----------------------------------------------------
(compared to gimp-gap release 2.4.0)

- Storyboard undo support
- Storyboard section support. complex scenes can be described within subsections
  where each subsection can arrange multiple clips in multiple individual video tracks.

- Storyboard clips support new deinterlace modes Odd First, Even First

- Player supports extracting audio track when playing clips
  that refere to a videofile that has one or more audiotrack(s)
  (the extracted audio can be used for audioplayback
  if audiosupport is enabled and wavplay is installed)

- Filtermacro processing now supports mapping to 
  persistent drawable id references.
  This allows applying recorded filtermacros in another gimp session
  in case the recorded last values buffer data contains references
  to drawable ids.
  such as the drawable for a bump map in the plug_in_bump_map,
  or all the layers that were used to map on a quader in plug_in_map_object.
 
  The persistent references can refer to anim frames (series of numbered
  images), multilayer images, or videofiles.

  Filtermacros can be applied with fixed or varying values
  in Storyboard clips. For varying values 2 filtermacros 
  are required to provide from and to values. Iteration of
  persistent drawable ids is supported in case both refer to the
  same image, anim frame series or the same videofile.

- video extract supports generating transparency via bluebox effect.

- the master video encoder dialog now stays open while the encoder
  process is running and shows encoding progress (with Cancel option)

- lossless frame extract and videocut for MJPEG encoded videoclips
  is supported by the storyboard processor and in the
  AVI1, FFMPEG and RAWFRAMES encoders (via dont recode flag)

- frontends for old external video encoders and the old xanim based
  frame extract plug-in are not bulit per default.

- Modify Frames now supports creation of grayscale layer from
  alpha channel, or layermask or mix of both

- added wrapper for rotate any angle.
  (provides support for animated apply in "filter all layers"
  or in fltermacros for rotation effects in storyboard clips)

- added wrapper for the resynthesizer
  (provides support for animated apply of the 3rd party plug-in resynthesizer)

- external libs for video read and write access
  were updated to ffmpeg-0.5 and libmpeg3-1.8

- bugfixes and updates for the use with GIMP-2.6.x releases.(see ChangeLog for details)


Here is a short overview whats new in GIMP-GAP-2.3.0:
-----------------------------------------------------
(compared to gimp-gap release 2.2.1)


- Player support to playback storyboard composite video.
  The rendering respects all tracks and effects of storyboard
  processing and gives an exact preview of the final results.
  This feature is triggered via Storyboard Play button
  pressed with CRTL-Key button held down.

- Player cache with configurable size (via gimprc and Player dialog)
- Player layout
    - using icons for the buttons 
      (that are now smaller and allow more space for the video frame)
    - go buttons and position scale are configurable
      (via gimprc and Player dialog)

- Storyboard supports overlapping frames within one single track.
    this makes it easy to create any transitions effects between 2 scenes
    without the need of having multiple video tracks.

- Storyboard supports layer mask (and mask sequences)
    that can be applied to any type of videoclip to control
    transparency for the masked parts in all the frames of the videoclip.
    Mask sequences can be used to make custom transitions effects

- Storyboard dialog supports editing multiple tracks,
    where track 0 is used to define layermasks.
    The layermask definitions can be applied to any
    clip (by drag & drop onto a clip properties dialog window)

- Storyboard support for frame aspect (4:3 or 16:9)
  Thumbnails in the Storyboard dialog are now displayed respecting
  the aspect to reflect the correct video frame proportion 
  that may differ from the pixelsize.

- Storyboard clip properties now support built in transitions
    to flip horizontally, vertically and rotate by 180 degree.

- Storyboard Layout
    - Global Storyboard Layout settings are now saved (in gimprc)
      and restored in further sessions.

- Videofile read API update for use with recent ffmpeg (SVN snapshot 2007.04.04)
    The API now supports native timcode based seek and allows fast and exact
    positioning without the need of creating a video index.
    (note: for some videofiles with variable frametiming and corrupted timecode
    information the video index is still required) 

- New Plug-in that allows explicite creation of video indexes
    for a list of videofiles.

- Some bugfixes (see ChangeLog for details)

Here is a short overview whats new in GIMP-GAP-2.2.1:
-----------------------------------------------------
(compared to gimp-gap release 2.2.0)

- Storyboard dialog support to edit transition attributes.
  The new popup dialog allows creation and changes of the storyboard file attributes
    FIT_SIZE
    MOVE X/Y 
    ZOOM X/Y and 
    OPACITY
  creation is invoked via menu "create transition" in the story board edit dialog,
  changes are made via right mouse button click on the thumbnail of the
  transition attribute.

- drag&drop support in the storyboard dialog.
  accept drop of images, frameranges and videoclips.
  drag&drop copy and move is now possible to arrange
  existing clips in the storyboard and/or cliplist.

- Modifiy Frames support of additional functions:
  - set selection from alphachannel
  - invert existing layermask
  - apply filter on layermask
  - set layermodes 
     (normal, dissolve, multiply, divide, screen, overlay,
      difference, addition, subtract, darken only, lighten only,
      dodge, burn, hardlight, softlight, color erase,
      grain extract, grain merge, hue, saturation, color, value)
- new plug-in to reverse frame sequence.
- wheel mouse scroll support  for VCR naviagtor and playback dialogs.

Here is a short overview whats new in GIMP-GAP-2.2.0:
-----------------------------------------------------
(compared to gimp-gap release 2.0.2)

- support upto 8 framenumber digits for frame images (mplayer style)
  (older support was limited to 6 digits)

- Videoapi (GVA) for read access in videofiles (.mpg, .avi ....)
  (frames and audio)

- Videoextract Plug-In
   extract frames and/or audio samples
   from a videofile, based on the GAP Video API (GVA))

- Videoextract Plug-In based on external program MPlayer

- Storyboard dialog to create and edit
  Videocliplists (Storyboard text files)
  usable for Encoding Videofiles
  with the new Master Videoencoder plug-in.

- Player can run in as widget
  in the storyboard dialog and the videoextract plug-in.

- The Player can trace the displayed frames
  in a multilayer image.

- Storyboard and Player
  can optional use the GAP Video API (GVA)
  to access frames in videofiles (.mpg, .avi ....)

- Master Videoencoder plug-in
  This is a Common GUI to
  encode GAP framesequences or STORYBOARD files
  to one videofile, including audio.
  The user can select all registered
  Video Encoder plug-ins.
  
- Videoencoder Plug-ins
   AVI Encoder         (based on avilib, codecs: RAW, JPG, XVID)
   FFMPEG Encoder      (based on ffmpeg, handles many MPEG based
                        videoformats and codecs,
                        see ffmpeg docs for detailed information)
   SINGLEFRAME Encoder (generate GIMP-GAP typical frame sequences
                        as output. This may be useful
                        to convert STORYBAORD Files to frame sequences)

- Morph Plug-in
  generate tween layers with metamorphose transformations
  from source layer to destination layer
  The user can set controlpoints for the warp part of the
  transformation to track details.

- Extended Onionskin Configuration
  allows now bidirectional references.
  (refer to frames +n and -n in the same frame)

- Added new functions to modify frames plug-in
   "Copy layermask from layer above"
   "Copy layermask from layer below"

- Active layer tracking by name or stackposition.
   This feature tries to set the active layer at framechanges
   in the new loaded frame by matching layername (or stackposition)
   to the active layer of the previously displayed frame.

- Move-Path Plug-in:
  Additional methode for converting gimp-bezier paths to GIMP-GAP
  contolpoints in the MovePath tool.
  (SHIFT Grab Path allows smoother match to the bezier curve
   depending on the number of handled frames)
  
  Multiple functions of the "Reset All Points" button.
  SHIFT: copy settings of the 1.st controlpoint to all other controlpoints
  CTRL:  mix settings of 1.st and last controlpoint into the 
  other controlpoints inbetween.

-------------------------------
old news
-------------------------------


Here is a short overview whats new in GIMP-GAP-2.0.2:
(compared to the gap version that once was part of gimp-1.2.x release)

 - new bluebox plug-in makes selected color transparent.

 - new features for the "MovePath" plug-in
   - animated perspective transformations
   - optional respect selected areas of the moving source object
     (with animated adjustable feather_radius)
   - integrated bluebox filter can be applied to the moving source object
   - tracelayer creation
     collects all scenes from start to current frame in one tracelayer.
   - tween processing for fast moving objects.
     collects scenes between 2 frames in the tweenlayer.
   - grab controlpoints from current GIMP-path
   - dynamic resize of the preview to follow current windowsize.
   - optional instant apply for the preview

 - playback for video frames to give a motionpreview
   in thumbnail quality.
   On linux the playback has audiosupport to play a wavefile
   synchron with the videoframes

 - the onionskin plug-ins are now integrated to gimp-gap.
   onionskin layer(s) usually do show previous (or next) frame(s)
   of the video in the current frame.

 - new features in "frames to multilayer image" plug-in
   optional respect selection(s) in the sourceframes

 - new features in "frames modify" plug-in
   - new functions to
     set/delete/invert selection in all handled frames
 
 - renumber plug-in for renaming frames (on disk) 
   you can set a new starting number for the first frame
   and define how much digits (leading zeroes)
   to use for the framenumber part.
 
 - change framedensity
   useful for changing the framerate without changing the
   playback speed. duplicates frames to get higher density
   or deletes frames to reduce density.
 
 - render filename (or just the number part) to layer

 - support of the open thumbnail standard
   (thumbnailfiles in png fileformat in $HOME/.thumbnails
    that allows better quality than the old .xvpics thumbnail standard)
 
 - filtermacro scriptfiles
   assemble filtermacro scriptfiles by picking filtercalls from the
   current session and execute them later all together at one drawable.
 
 - gimp-gap now uses the preferences value save always/only on changes
   (gimprc keyword "trust-dirty-flag")
   for unconditional/conditional implicite save operations
   when stepping from frame to frame.

 - vcr-navigator internal changes
   (now handles unlimited number of frames)

 - some minor layout changes.

 - internal reorganisations/cleanup of the sourcecode
   including porting to new GIMP-2.0 and GTK+2.2 api.
 

